Subject: Re: [PATCH] Documentation/config.txt: Order variables alphabetically

From: Jari Aalto <[email-masked]>
Date: Wed, 01 Dec 2010 19:10:55 +0200

2010-12-01 18:37 Jakub Narebski <[email-masked]>:
> Having related config variables together is IMVHO more important than
> having config variables sorted alphabetically.

That's subjective criteria. I doubt there are many related one that
can't be handled with standard "see also".

A small percentage of variables that "group" is bad criteria for general
use. Especially when confix.txt contains somewhere 250 options.

Most of the time you want to look up X. And alpha order is what doctor
ordered.

Same for command line options. You read zillions of scripts and cryptic
options. You want to consult manual page to see what an option means. Again
you're searching A-Z.

Jari